#1
  1. No Profile Picture
    Registered User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jan 2014
    Posts
    7
    Rep Power
    0

    Unhappy Apache 2.4 and PHP 5.9 don't play together.


    I'm new here, so I apologize if this is the wrong forum to put this in.

    I'm having trouble getting PHP to run with my Apache installation.

    My OS is Windows 7 - 64-bit.
    I'm using the XAMPP control panel. v3.1.0.3.1.0
    My Apache is version 2.4
    PHP is ver. 5.9

    I added the following lines to my httpd.conf file:

    LoadModule php5_module "c:/xampp/php/php5apache2_4.dll"

    PHPIniDir "c:/xampp/php"

    AddType application/x-httpd-php .php


    Apache crashes with nothing in the error log file, and has the following message on the XAMPP control panel:

    7:55:33 PM [Apache] Status change detected: stopped
    7:55:33 PM [Apache] Error: Apache shutdown unexpectedly.
    7:55:33 PM [Apache] This may be due to a blocked port, missing dependencies,
    7:55:33 PM [Apache] improper privileges, a crash, or a shutdown by another method.
    7:55:33 PM [Apache] Check the "/xampp/apache/logs/error.log" file
    7:55:33 PM [Apache] and the Windows Event Viewer for more clues

    One thing, if I comment out the line that points to the directory where the PHP INI file resides, Apache comes up fine, but PHP won't run.

    Anyone - any ideas??
  2. #2
  3. Did you steal it?
    Devshed Supreme Being (6500+ posts)

    Join Date
    Mar 2007
    Location
    Washington, USA
    Posts
    13,965
    Rep Power
    9397

IMN logo majestic logo threadwatch logo seochat tools logo